sections:
  main:
    display: Main
    fields:
      -
        handle: title
        field:
          type: text
          required: true
          validate:
            - required
      -
        handle: small_description
        field:
          antlers: false
          display: 'Small Description'
          type: textarea
          icon: textarea
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: code_field
        field:
          theme: material
          mode: htmlmixed
          mode_selectable: false
          indent_type: tabs
          indent_size: 4
          key_map: default
          line_numbers: true
          line_wrapping: true
          display: code_field
          type: code
          icon: code
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: course_content
        field:
          collapse: false
          previews: true
          sets:
            new_set:
              display: 'New Set'
              fields:
                -
                  handle: title
                  field:
                    input_type: text
                    antlers: false
                    display: title
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                -
                  handle: array_field
                  field:
                    mode: dynamic
                    display: 'Array Field'
                    type: array
                    icon: array
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
          display: 'Course Content'
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: features
        field:
          collapse: false
          previews: true
          sets:
            new_set:
              display: 'New Set'
              fields:
                -
                  handle: icon
                  field:
                    input_type: text
                    antlers: false
                    display: icon
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    width: 33
                -
                  handle: title
                  field:
                    input_type: text
                    antlers: false
                    display: title
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    width: 33
                -
                  handle: content
                  field:
                    input_type: text
                    antlers: false
                    display: content
                    type: text
                    icon: text
                    listable: hidden
                    instructions_position: above
                    visibility: visible
                    always_save: false
                    width: 33
          display: Features
          type: replicator
          icon: replicator
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
  sidebar:
    display: Sidebar
    fields:
      -
        handle: slug
        field:
          type: slug
          localizable: true
      -
        handle: system_package
        field:
          endpoint: InstallmentPackage
          display: 'System Installment Package'
          type: product_system
          icon: product_system
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: assets_field
        field:
          mode: list
          container: assets
          restrict: false
          allow_uploads: true
          show_filename: true
          display: 'Assets Field'
          type: assets
          icon: assets
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          validate:
            - image
          max_files: 1
  arabic:
    display: Arabic
    fields:
      -
        handle: title_ar
        field:
          input_type: text
          antlers: false
          display: Title(ar)
          type: text
          icon: text
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
          width: 50
      -
        handle: small_description_ar
        field:
          antlers: false
          display: 'Small Description (AR)'
          type: textarea
          icon: textarea
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
      -
        handle: code_field_ar
        field:
          theme: material
          mode: htmlmixed
          mode_selectable: false
          indent_type: tabs
          indent_size: 4
          key_map: default
          line_numbers: true
          line_wrapping: true
          display: 'Code Field (AR)'
          type: code
          icon: code
          listable: hidden
          instructions_position: above
          visibility: visible
          always_save: false
title: 'Installment Package'
